div.layout-article-list-box h5 {
    font-size: 12px;
    margin: 10px 0 0;
}
div.component-k .details h3{
    padding: 0px;
}

div.store-layout-featured-product {
    height: 172px;
    width: 100%;
}

#content div.site-padded-content{
    width: 626px;
}

div.store-layout-paper-box .store-layout-featured-product div.details h3 {
    text-transform: none;
}

div.component-k div.store-layout-paper-box {
    margin: 0 0 10px;
}